<?php
	
	/*----------------------First highlight color-------------------*/

	$vw_spa_lite_first_color = get_theme_mod('vw_spa_lite_first_color');

	$vw_spa_lite_custom_css = '';

	if($vw_spa_lite_first_color != false){
		$vw_spa_lite_custom_css .='.spa-topbar, .scrollup i, .footer input[type="submit"], .footer .copyright, #header, input[type="submit"], .sidebar input[type="submit"], .sidebar h3, #comments input[type="submit"].submit, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .woocommerce span.onsale, .sidebar .tagcloud a:hover, .footer .tagcloud a:hover, .footer .custom-social-icons i:hover, .sidebar .custom-social-icons i:hover, .pagination .current, .pagination a:hover, #header .book-btn a:hover, #comments a.comment-reply-link, .page-content .read-moresec a.button, .header-fixed, .sidebar a.custom_read_more, .footer a.custom_read_more, .nav-previous a:hover, .nav-next a:hover, .widget .woocommerce-product-search button[type="submit"], .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current, #preloader, .footer .wp-block-search .wp-block-search__button, .sidebar .wp-block-search .wp-block-search__button, .sidebar .wp-block-search .wp-block-search__label,.post-categories li a,.breadcrumbs a:hover,.breadcrumbs span,nav.navigation.posts-navigation .nav-previous a, nav.navigation.posts-navigation .nav-next a, .wp-block-tag-cloud a:hover,.wp-block-button__link, #header,.wc-block-components-order-summary-item__quantity, .wp-block-woocommerce-cart .wc-block-cart__submit-button,.wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,#sidebar label.wp-block-search__label, #sidebar .wp-block-heading, a.added_to_cart.wc-forward, .wp-block-woocommerce-cart .wc-block-components-product-badge, a.wc-block-components-checkout-return-to-cart-button,.woocommerce-cart .wc-block-grid .wc-block-grid__product-onsale{';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_first_color).'!important;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_first_color != false){
		$vw_spa_lite_custom_css .='.sidebar .custom-social-icons i, .metabox a:hover, .woocommerce-message::before, #slider .inner_carousel h1 a, .main-navigation ul.sub-menu a:hover, #amazing-service a.r_button:hover, #slider .more-btn a:hover, a:hover, .sidebar ul li a:hover, .sidebar p a, #comments p a , .post-navigation a:hover, .entry-content a, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .footer a.custom_read_more:hover, .single-post .nav-previous a:hover, .single-post .nav-next a:hover, .services-box:hover h2 a, .services-box:hover .date-box a, .single-post .metabox:hover a,.grid-post-main-box:hover h2 a{';
			$vw_spa_lite_custom_css .='color: '.esc_attr($vw_spa_lite_first_color).';';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_first_color != false){
		$vw_spa_lite_custom_css .='.woocommerce-message{';
			$vw_spa_lite_custom_css .='border-color: '.esc_attr($vw_spa_lite_first_color).';';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_first_color != false){
		$vw_spa_lite_custom_css .='.main-navigation ul ul{';
			$vw_spa_lite_custom_css .='border-top-color: '.esc_attr($vw_spa_lite_first_color).';';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_first_color != false){
		$vw_spa_lite_custom_css .='.main-navigation ul ul{';
			$vw_spa_lite_custom_css .='border-bottom-color: '.esc_attr($vw_spa_lite_first_color).';';
		$vw_spa_lite_custom_css .='}';
	}
	
	$vw_spa_lite_custom_css .='@media screen and (max-width:767px) {';
		if($vw_spa_lite_first_color != false){
			$vw_spa_lite_custom_css .='.page-template-custom-front #header{
			background-color:'.esc_attr($vw_spa_lite_first_color).';
			}';
		}
	$vw_spa_lite_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_width_option','Full Width');
    if($vw_spa_lite_theme_lay == 'Boxed'){
		$vw_spa_lite_custom_css .='body{';
			$vw_spa_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='#header .book-btn{';
			$vw_spa_lite_custom_css .='margin: 35px -4em;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='right: 100px;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.scrollup.left i{';
			$vw_spa_lite_custom_css .='left: 100px;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_theme_lay == 'Wide Width'){
		$vw_spa_lite_custom_css .='body{';
			$vw_spa_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='right: 30px;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.scrollup.left i{';
			$vw_spa_lite_custom_css .='left: 30px;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_theme_lay == 'Full Width'){
		$vw_spa_lite_custom_css .='body{';
			$vw_spa_lite_custom_css .='max-width: 100%;';
		$vw_spa_lite_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_slider_opacity_color','0.5');
	if($vw_spa_lite_theme_lay == '0'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.1'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.1';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.2'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.2';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.3'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.3';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.4'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.4';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.5'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.5';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.6'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.6';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.7'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.7';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.8'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.8';
		$vw_spa_lite_custom_css .='}';
		}else if($vw_spa_lite_theme_lay == '0.9'){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:0.9';
		$vw_spa_lite_custom_css .='}';
		}

	/*---------------------- Slider Image Overlay ------------------------*/

	$vw_spa_lite_slider_image_overlay = get_theme_mod('vw_spa_lite_slider_image_overlay', true);
	if($vw_spa_lite_slider_image_overlay == false){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='opacity:1;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_slider_image_overlay_color = get_theme_mod('vw_spa_lite_slider_image_overlay_color', true);
	if($vw_spa_lite_slider_image_overlay_color != false){
		$vw_spa_lite_custom_css .='#slider{';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_slider_image_overlay_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*----------------Slider Content Layout -------------------*/

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_slider_content_option','Center');
    if($vw_spa_lite_theme_lay == 'Left'){
		$vw_spa_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$vw_spa_lite_custom_css .='text-align:left; left:15%; right:45%';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_theme_lay == 'Center'){
		$vw_spa_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$vw_spa_lite_custom_css .='text-align:center; left:30%; right:30%;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_theme_lay == 'Right'){
		$vw_spa_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$vw_spa_lite_custom_css .='text-align:right; left:45%; right:15%;';
		$vw_spa_lite_custom_css .='}';
	}

	/*------------- Slider Content Padding Settings ------------------*/

	$vw_spa_lite_slider_content_padding_top_bottom = get_theme_mod('vw_spa_lite_slider_content_padding_top_bottom');
	$vw_spa_lite_slider_content_padding_left_right = get_theme_mod('vw_spa_lite_slider_content_padding_left_right');
	if($vw_spa_lite_slider_content_padding_top_bottom != false || $vw_spa_lite_slider_content_padding_left_right != false){
		$vw_spa_lite_custom_css .='#slider .carousel-caption{';
			$vw_spa_lite_custom_css .='top: '.esc_attr($vw_spa_lite_slider_content_padding_top_bottom).'; bottom: '.esc_attr($vw_spa_lite_slider_content_padding_top_bottom).';left: '.esc_attr($vw_spa_lite_slider_content_padding_left_right).';right: '.esc_attr($vw_spa_lite_slider_content_padding_left_right).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$vw_spa_lite_slider_height = get_theme_mod('vw_spa_lite_slider_height');
	if($vw_spa_lite_slider_height != false){
		$vw_spa_lite_custom_css .='#slider img{';
			$vw_spa_lite_custom_css .='height: '.esc_attr($vw_spa_lite_slider_height).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_blog_layout_option','Default');
    if($vw_spa_lite_theme_lay == 'Default'){
		$vw_spa_lite_custom_css .='.services-box{';
			$vw_spa_lite_custom_css .='';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.service-text h2{';
			$vw_spa_lite_custom_css .='padding: 0px;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_theme_lay == 'Center'){
		$vw_spa_lite_custom_css .='.services-box, .services-box h2, .services-box p, .services-box .read-btn, .services-box .post-info{';
			$vw_spa_lite_custom_css .='text-align:center;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.post-info{';
			$vw_spa_lite_custom_css .='margin-top: 10px;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_theme_lay == 'Left'){
		$vw_spa_lite_custom_css .='.services-box, .services-box h2, .services-box p{';
			$vw_spa_lite_custom_css .='text-align:Left;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.post-info{';
			$vw_spa_lite_custom_css .='margin-top: 10px;';
		$vw_spa_lite_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$vw_spa_lite_blog_page_posts_settings = get_theme_mod( 'vw_spa_lite_blog_page_posts_settings','Into Blocks');
    if($vw_spa_lite_blog_page_posts_settings == 'Without Blocks'){
		$vw_spa_lite_custom_css .='.post-section .services-box{';
			$vw_spa_lite_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_spa_lite_custom_css .='}';
	}

	/*-------------------Responsive Media -----------------------*/

	$vw_spa_lite_resp_topbar = get_theme_mod( 'vw_spa_lite_resp_topbar_hide_show',true);
	if($vw_spa_lite_resp_topbar == true && get_theme_mod( 'vw_spa_lite_topbar_hide_show', true) == false){
    	$vw_spa_lite_custom_css .='.spa-topbar{';
			$vw_spa_lite_custom_css .='display:none;';
		$vw_spa_lite_custom_css .='} ';
	}
    if($vw_spa_lite_resp_topbar == true){
    	$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='.spa-topbar{';
			$vw_spa_lite_custom_css .='display:block;';
		$vw_spa_lite_custom_css .='} }';
	}else if($vw_spa_lite_resp_topbar == false){
		$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='.spa-topbar{';
			$vw_spa_lite_custom_css .='display:none;';
		$vw_spa_lite_custom_css .='} }';
	}

	$vw_spa_lite_resp_stickyheader = get_theme_mod( 'vw_spa_lite_stickyheader_hide_show',false);
	if($vw_spa_lite_resp_stickyheader == true && get_theme_mod( 'vw_spa_lite_sticky_header',false) != true){
    	$vw_spa_lite_custom_css .='.header-fixed{';
			$vw_spa_lite_custom_css .='position:static;';
		$vw_spa_lite_custom_css .='} ';
	}
    if($vw_spa_lite_resp_stickyheader == true){
    	$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='.header-fixed{';
			$vw_spa_lite_custom_css .='position:fixed;';
		$vw_spa_lite_custom_css .='} }';
	}else if($vw_spa_lite_resp_stickyheader == false){
		$vw_spa_lite_custom_css .='@media screen and (max-width:575px){';
		$vw_spa_lite_custom_css .='.header-fixed{';
			$vw_spa_lite_custom_css .='position:static;';
		$vw_spa_lite_custom_css .='} }';
	}

	$vw_spa_lite_resp_slider = get_theme_mod( 'vw_spa_lite_resp_slider_hide_show',true);
	if($vw_spa_lite_resp_slider == true && get_theme_mod( 'vw_spa_lite_slider_hide_show', true) == false){
    	$vw_spa_lite_custom_css .='#slider{';
			$vw_spa_lite_custom_css .='display:none;';
		$vw_spa_lite_custom_css .='} ';
	}
    if($vw_spa_lite_resp_slider == true){
    	$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='#slider{';
			$vw_spa_lite_custom_css .='display:block;';
		$vw_spa_lite_custom_css .='} }';
	}else if($vw_spa_lite_resp_slider == false){
		$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='#slider{';
			$vw_spa_lite_custom_css .='display:none;';
		$vw_spa_lite_custom_css .='} }';
	}

	$vw_spa_lite_resp_sidebar = get_theme_mod( 'vw_spa_lite_sidebar_hide_show',true);
    if($vw_spa_lite_resp_sidebar == true){
    	$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='.sidebar{';
			$vw_spa_lite_custom_css .='display:block;';
		$vw_spa_lite_custom_css .='} }';
	}else if($vw_spa_lite_resp_sidebar == false){
		$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='.sidebar{';
			$vw_spa_lite_custom_css .='display:none;';
		$vw_spa_lite_custom_css .='} }';
	}

	$vw_spa_lite_resp_scroll_top = get_theme_mod( 'vw_spa_lite_resp_scroll_top_hide_show',true);
	if($vw_spa_lite_resp_scroll_top == true && get_theme_mod( 'vw_spa_lite_hide_show_scroll',true) != true){
    	$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='visibility:hidden !important;';
		$vw_spa_lite_custom_css .='} ';
	}
    if($vw_spa_lite_resp_scroll_top == true){
    	$vw_spa_lite_custom_css .='@media screen and (max-width:575px) {';
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='visibility:visible !important;';
		$vw_spa_lite_custom_css .='} }';
	}else if($vw_spa_lite_resp_scroll_top == false){
		$vw_spa_lite_custom_css .='@media screen and (max-width:575px){';
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='visibility:hidden !important;';
		$vw_spa_lite_custom_css .='} }';
	}

	$vw_spa_lite_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_spa_lite_resp_menu_toggle_btn_bg_color');
	if($vw_spa_lite_resp_menu_toggle_btn_bg_color != false){
		$vw_spa_lite_custom_css .='.toggle-nav i,.sidenav .closebtn {';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_resp_menu_toggle_btn_bg_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*------------- Top Bar Settings ------------------*/

	$vw_spa_lite_header_menus_color = get_theme_mod('vw_spa_lite_header_menus_color');
	if($vw_spa_lite_header_menus_color != false){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='color: '.esc_attr($vw_spa_lite_header_menus_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_header_menus_hover_color = get_theme_mod('vw_spa_lite_header_menus_hover_color');
	if($vw_spa_lite_header_menus_hover_color != false){
		$vw_spa_lite_custom_css .='.main-navigation a:hover{';
			$vw_spa_lite_custom_css .='color: '.esc_attr($vw_spa_lite_header_menus_hover_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_header_submenus_color = get_theme_mod('vw_spa_lite_header_submenus_color');
	if($vw_spa_lite_header_submenus_color != false){
		$vw_spa_lite_custom_css .='.main-navigation ul ul a{';
			$vw_spa_lite_custom_css .='color: '.esc_attr($vw_spa_lite_header_submenus_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_header_submenus_hover_color = get_theme_mod('vw_spa_lite_header_submenus_hover_color');
	if($vw_spa_lite_header_submenus_hover_color != false){
		$vw_spa_lite_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_spa_lite_custom_css .='color: '.esc_attr($vw_spa_lite_header_submenus_hover_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_topbar_padding_top_bottom = get_theme_mod('vw_spa_lite_topbar_padding_top_bottom');
	if($vw_spa_lite_topbar_padding_top_bottom != false){
		$vw_spa_lite_custom_css .='.spa-topbar{';
			$vw_spa_lite_custom_css .='padding-top: '.esc_attr($vw_spa_lite_topbar_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_spa_lite_topbar_padding_top_bottom).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_navigation_menu_font_size = get_theme_mod('vw_spa_lite_navigation_menu_font_size');
	if($vw_spa_lite_navigation_menu_font_size != false){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_navigation_menu_font_size).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_navigation_menu_font_weight = get_theme_mod('vw_spa_lite_navigation_menu_font_weight','600');
	if($vw_spa_lite_navigation_menu_font_weight != false){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='font-weight: '.esc_attr($vw_spa_lite_navigation_menu_font_weight).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_menu_text_transform','Uppercase');
	if($vw_spa_lite_theme_lay == 'Capitalize'){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='text-transform:Capitalize;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_theme_lay == 'Lowercase'){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='text-transform:Lowercase;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_theme_lay == 'Uppercase'){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='text-transform:Uppercase;';
		$vw_spa_lite_custom_css .='}';
	}


	$vw_spa_lite_menus_item = get_theme_mod( 'vw_spa_lite_menus_item_style','None');
    if($vw_spa_lite_menus_item == 'None'){
		$vw_spa_lite_custom_css .='.main-navigation a{';
			$vw_spa_lite_custom_css .='';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_menus_item == 'Zoom In'){
		$vw_spa_lite_custom_css .='.main-navigation a:hover{';
			$vw_spa_lite_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color:#fff;';
		$vw_spa_lite_custom_css .='}'; 
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_spa_lite_sticky_header_padding = get_theme_mod('vw_spa_lite_sticky_header_padding');
	if($vw_spa_lite_sticky_header_padding != false){
		$vw_spa_lite_custom_css .='.header-fixed{';
			$vw_spa_lite_custom_css .='padding: '.esc_attr($vw_spa_lite_sticky_header_padding).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*------------- Single Blog Page------------------*/

	$vw_spa_lite_featured_image_border_radius = get_theme_mod('vw_spa_lite_featured_image_border_radius', 0);
	if($vw_spa_lite_featured_image_border_radius != false){
		$vw_spa_lite_custom_css .='.service-image img, .feature-box img{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_featured_image_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_featured_image_box_shadow = get_theme_mod('vw_spa_lite_featured_image_box_shadow',0);
	if($vw_spa_lite_featured_image_box_shadow != false){
		$vw_spa_lite_custom_css .='.service-image img, #content-vw img{';
			$vw_spa_lite_custom_css .='box-shadow: '.esc_attr($vw_spa_lite_featured_image_box_shadow).'px '.esc_attr($vw_spa_lite_featured_image_box_shadow).'px '.esc_attr($vw_spa_lite_featured_image_box_shadow).'px #cccccc;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_singlepost_image_box_shadow = get_theme_mod('vw_spa_lite_singlepost_image_box_shadow',0);
	if($vw_spa_lite_singlepost_image_box_shadow != false){
		$vw_spa_lite_custom_css .='.feature-box img{';
			$vw_spa_lite_custom_css .='box-shadow: '.esc_attr($vw_spa_lite_singlepost_image_box_shadow).'px '.esc_attr($vw_spa_lite_singlepost_image_box_shadow).'px '.esc_attr($vw_spa_lite_singlepost_image_box_shadow).'px #cccccc;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_related_image_box_shadow = get_theme_mod('vw_spa_lite_related_image_box_shadow',0);
	if($vw_spa_lite_related_image_box_shadow != false){
		$vw_spa_lite_custom_css .='.related-post .box-image img{';
			$vw_spa_lite_custom_css .='box-shadow: '.esc_attr($vw_spa_lite_related_image_box_shadow).'px '.esc_attr($vw_spa_lite_related_image_box_shadow).'px '.esc_attr($vw_spa_lite_related_image_box_shadow).'px #cccccc;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_single_blog_post_navigation_show_hide = get_theme_mod('vw_spa_lite_single_blog_post_navigation_show_hide',true);
	if($vw_spa_lite_single_blog_post_navigation_show_hide != true){
		$vw_spa_lite_custom_css .='.post-navigation{';
			$vw_spa_lite_custom_css .='display: none;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_comment_width = get_theme_mod('vw_spa_lite_single_blog_comment_width');
	if($vw_spa_lite_comment_width != false){
		$vw_spa_lite_custom_css .='#comments textarea{';
			$vw_spa_lite_custom_css .='width: '.esc_attr($vw_spa_lite_comment_width).';';
		$vw_spa_lite_custom_css .='}';
	}

	// featured image dimention
	$vw_spa_lite_blog_post_featured_image_dimension = get_theme_mod('vw_spa_lite_blog_post_featured_image_dimension', 'default');
	$vw_spa_lite_blog_post_featured_image_custom_width = get_theme_mod('vw_spa_lite_blog_post_featured_image_custom_width',250);
	$vw_spa_lite_blog_post_featured_image_custom_height = get_theme_mod('vw_spa_lite_blog_post_featured_image_custom_height',250);
	if($vw_spa_lite_blog_post_featured_image_dimension == 'custom'){
		$vw_spa_lite_custom_css .='.post-section .services-box img{';
			$vw_spa_lite_custom_css .='width: '.esc_attr($vw_spa_lite_blog_post_featured_image_custom_width).'; height: '.esc_attr($vw_spa_lite_blog_post_featured_image_custom_height).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_spa_lite_button_padding_top_bottom = get_theme_mod('vw_spa_lite_button_padding_top_bottom');
	$vw_spa_lite_button_padding_left_right = get_theme_mod('vw_spa_lite_button_padding_left_right');
	if($vw_spa_lite_button_padding_top_bottom != false || $vw_spa_lite_button_padding_left_right != false){
		$vw_spa_lite_custom_css .='.content-bttn a{';
			$vw_spa_lite_custom_css .='padding-top: '.esc_attr($vw_spa_lite_button_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_spa_lite_button_padding_top_bottom).';padding-left: '.esc_attr($vw_spa_lite_button_padding_left_right).';padding-right: '.esc_attr($vw_spa_lite_button_padding_left_right).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_button_border_radius = get_theme_mod('vw_spa_lite_button_border_radius');
	if($vw_spa_lite_button_border_radius != false){
		$vw_spa_lite_custom_css .='.content-bttn a, .content-bttn{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_button_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_button_font_size = get_theme_mod('vw_spa_lite_button_font_size',14);
	$vw_spa_lite_custom_css .='.content-bttn a{';
		$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_button_font_size).';';
	$vw_spa_lite_custom_css .='}';

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_button_text_transform','Uppercase');
	if($vw_spa_lite_theme_lay == 'Capitalize'){
		$vw_spa_lite_custom_css .='.content-bttn a{';
			$vw_spa_lite_custom_css .='text-transform:Capitalize;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_theme_lay == 'Lowercase'){
		$vw_spa_lite_custom_css .='.content-bttn a{';
			$vw_spa_lite_custom_css .='text-transform:Lowercase;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_theme_lay == 'Uppercase'){
		$vw_spa_lite_custom_css .='.content-bttn a{';
			$vw_spa_lite_custom_css .='text-transform:Uppercase;';
		$vw_spa_lite_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_spa_lite_footer_background_color = get_theme_mod('vw_spa_lite_footer_background_color');
	if($vw_spa_lite_footer_background_color != false){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_footer_background_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_copyright_background_color = get_theme_mod('vw_spa_lite_copyright_background_color');
	if($vw_spa_lite_copyright_background_color != false){
		$vw_spa_lite_custom_css .='.footer .copyright{';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_copyright_background_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_copyright_alingment = get_theme_mod('vw_spa_lite_copyright_alingment');
	if($vw_spa_lite_copyright_alingment != false){
		$vw_spa_lite_custom_css .='.copyright p,.footer .copyright p{';
			$vw_spa_lite_custom_css .='text-align: '.esc_attr($vw_spa_lite_copyright_alingment).';';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,.footer .copyright p{';
			$vw_spa_lite_custom_css .='text-align: center;} }';
	}

	$vw_spa_lite_align_footer_social_icon = get_theme_mod('vw_spa_lite_align_footer_social_icon');
	if($vw_spa_lite_align_footer_social_icon != false){
		$vw_spa_lite_custom_css .='.copyright .widget{';
			$vw_spa_lite_custom_css .='text-align: '.esc_attr($vw_spa_lite_align_footer_social_icon).';';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$vw_spa_lite_custom_css .='text-align: center;} }';
	}

	$vw_spa_lite_footer_widgets_heading = get_theme_mod( 'vw_spa_lite_footer_widgets_heading','Left');
    if($vw_spa_lite_footer_widgets_heading == 'Left'){
		$vw_spa_lite_custom_css .='.footer h3, .footer h3 .wp-block-search .wp-block-search__label{';
		$vw_spa_lite_custom_css .='text-align: left;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_footer_widgets_heading == 'Center'){
		$vw_spa_lite_custom_css .='.footer h3, .footer h3 .wp-block-search .wp-block-search__label{';
			$vw_spa_lite_custom_css .='text-align: center;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer h3::after, .footer .wp-block-search .wp-block-search__label::after{';
			$vw_spa_lite_custom_css .='margin:0 auto;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_footer_widgets_heading == 'Right'){
		$vw_spa_lite_custom_css .='.footer h3, .footer .wp-block-search .wp-block-search__label{';
			$vw_spa_lite_custom_css .='text-align: right;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer h3::after, .footer .wp-block-search .wp-block-search__label::after{';
			$vw_spa_lite_custom_css .='margin-left:auto;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_footer_widgets_content = get_theme_mod( 'vw_spa_lite_footer_widgets_content','Left');
    if($vw_spa_lite_footer_widgets_content == 'Left'){
		$vw_spa_lite_custom_css .='.footer li{';
		$vw_spa_lite_custom_css .='text-align: left;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_footer_widgets_content == 'Center'){
		$vw_spa_lite_custom_css .='.footer li{';
			$vw_spa_lite_custom_css .='text-align: center;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_footer_widgets_content == 'Right'){
		$vw_spa_lite_custom_css .='.footer li{';
			$vw_spa_lite_custom_css .='text-align: right;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_footer_padding = get_theme_mod('vw_spa_lite_footer_padding');
	if($vw_spa_lite_footer_padding != false){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='padding: '.esc_attr($vw_spa_lite_footer_padding).' 0;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_footer_background_image = get_theme_mod('vw_spa_lite_footer_background_image');
	if($vw_spa_lite_footer_background_image != false){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background: url('.esc_attr($vw_spa_lite_footer_background_image).'); background-size:cover;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_img_footer','scroll');
	if($vw_spa_lite_theme_lay == 'fixed'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background-attachment: fixed !important;';
		$vw_spa_lite_custom_css .='}';
	}elseif ($vw_spa_lite_theme_lay == 'scroll'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background-attachment: scroll !important;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_footer_img_position = get_theme_mod('vw_spa_lite_footer_img_position','center center');
	if($vw_spa_lite_footer_img_position != false){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background-position: '.esc_attr($vw_spa_lite_footer_img_position).'!important;';
		$vw_spa_lite_custom_css .='}';
	}

	/*----------------Sroll to top Settings ------------------*/

	$vw_spa_lite_scroll_to_top_font_size = get_theme_mod('vw_spa_lite_scroll_to_top_font_size');
	if($vw_spa_lite_scroll_to_top_font_size != false){
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_scroll_to_top_font_size).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_scroll_to_top_padding_top_bottom = get_theme_mod('vw_spa_lite_scroll_to_top_padding_top_bottom');
	if($vw_spa_lite_scroll_to_top_padding_top_bottom != false ){
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='padding-top: '.esc_attr($vw_spa_lite_scroll_to_top_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_spa_lite_scroll_to_top_padding_top_bottom).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_scroll_to_top_width = get_theme_mod('vw_spa_lite_scroll_to_top_width');
	if($vw_spa_lite_scroll_to_top_width != false){
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='width: '.esc_attr($vw_spa_lite_scroll_to_top_width).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_scroll_to_top_height = get_theme_mod('vw_spa_lite_scroll_to_top_height');
	if($vw_spa_lite_scroll_to_top_height != false){
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='height: '.esc_attr($vw_spa_lite_scroll_to_top_height).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_scroll_to_top_border_radius = get_theme_mod('vw_spa_lite_scroll_to_top_border_radius');
	if($vw_spa_lite_scroll_to_top_border_radius != false){
		$vw_spa_lite_custom_css .='.scrollup i{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_scroll_to_top_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_spa_lite_social_icon_font_size = get_theme_mod('vw_spa_lite_social_icon_font_size');
	if($vw_spa_lite_social_icon_font_size != false){
		$vw_spa_lite_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i, .custom-social-icons i{';
			$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_social_icon_font_size).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_social_icon_padding = get_theme_mod('vw_spa_lite_social_icon_padding');
	if($vw_spa_lite_social_icon_padding != false){
		$vw_spa_lite_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_spa_lite_custom_css .='padding: '.esc_attr($vw_spa_lite_social_icon_padding).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_social_icon_width = get_theme_mod('vw_spa_lite_social_icon_width');
	if($vw_spa_lite_social_icon_width != false){
		$vw_spa_lite_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i, .custom-social-icons i{';
			$vw_spa_lite_custom_css .='width: '.esc_attr($vw_spa_lite_social_icon_width).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_social_icon_height = get_theme_mod('vw_spa_lite_social_icon_height');
	if($vw_spa_lite_social_icon_height != false){
		$vw_spa_lite_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_spa_lite_custom_css .='height: '.esc_attr($vw_spa_lite_social_icon_height).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_social_icon_border_radius = get_theme_mod('vw_spa_lite_social_icon_border_radius');
	if($vw_spa_lite_social_icon_border_radius != false){
		$vw_spa_lite_custom_css .='.sidebar .custom-social-icons i, .footer .custom-social-icons i{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_social_icon_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_spa_lite_related_product_show_hide = get_theme_mod('vw_spa_lite_related_product_show_hide',true);
	if($vw_spa_lite_related_product_show_hide != true){
		$vw_spa_lite_custom_css .='.related.products{';
			$vw_spa_lite_custom_css .='display: none;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_padding_top_bottom = get_theme_mod('vw_spa_lite_products_padding_top_bottom');
	if($vw_spa_lite_products_padding_top_bottom != false){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_spa_lite_custom_css .='padding-top: '.esc_attr($vw_spa_lite_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_spa_lite_products_padding_top_bottom).'!important;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_padding_left_right = get_theme_mod('vw_spa_lite_products_padding_left_right');
	if($vw_spa_lite_products_padding_left_right != false){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_spa_lite_custom_css .='padding-left: '.esc_attr($vw_spa_lite_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_spa_lite_products_padding_left_right).'!important;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_box_shadow = get_theme_mod('vw_spa_lite_products_box_shadow');
	if($vw_spa_lite_products_box_shadow != false){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_spa_lite_custom_css .='box-shadow: '.esc_attr($vw_spa_lite_products_box_shadow).'px '.esc_attr($vw_spa_lite_products_box_shadow).'px '.esc_attr($vw_spa_lite_products_box_shadow).'px #ddd;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_border_radius = get_theme_mod('vw_spa_lite_products_border_radius', 0);
	if($vw_spa_lite_products_border_radius != false){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_products_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_btn_padding_top_bottom = get_theme_mod('vw_spa_lite_products_btn_padding_top_bottom');
	if($vw_spa_lite_products_btn_padding_top_bottom != false){
		$vw_spa_lite_custom_css .='.woocommerce a.button{';
			$vw_spa_lite_custom_css .='padding-top: '.esc_attr($vw_spa_lite_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($vw_spa_lite_products_btn_padding_top_bottom).' !important;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_btn_padding_left_right = get_theme_mod('vw_spa_lite_products_btn_padding_left_right');
	if($vw_spa_lite_products_btn_padding_left_right != false){
		$vw_spa_lite_custom_css .='.woocommerce a.button{';
			$vw_spa_lite_custom_css .='padding-left: '.esc_attr($vw_spa_lite_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($vw_spa_lite_products_btn_padding_left_right).' !important;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_products_button_border_radius = get_theme_mod('vw_spa_lite_products_button_border_radius', 0);
	if($vw_spa_lite_products_button_border_radius != false){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_products_button_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_woocommerce_sale_position = get_theme_mod( 'vw_spa_lite_woocommerce_sale_position','right');
    if($vw_spa_lite_woocommerce_sale_position == 'left'){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_spa_lite_custom_css .='left: -10px; right: auto;';
		$vw_spa_lite_custom_css .='}';
	}else if($vw_spa_lite_woocommerce_sale_position == 'right'){
		$vw_spa_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_spa_lite_custom_css .='left: auto; right: 0;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_woocommerce_sale_font_size = get_theme_mod('vw_spa_lite_woocommerce_sale_font_size');
	if($vw_spa_lite_woocommerce_sale_font_size != false){
		$vw_spa_lite_custom_css .='.woocommerce span.onsale{';
			$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_woocommerce_sale_font_size).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_woocommerce_sale_border_radius = get_theme_mod('vw_spa_lite_woocommerce_sale_border_radius', 100);
	if($vw_spa_lite_woocommerce_sale_border_radius != false){
		$vw_spa_lite_custom_css .='.woocommerce span.onsale{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_woocommerce_sale_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	// Site title Font Size
	$vw_spa_lite_site_title_font_size = get_theme_mod('vw_spa_lite_site_title_font_size');
	if($vw_spa_lite_site_title_font_size != false){
		$vw_spa_lite_custom_css .='#header .logo h1 a, #header .logo p.site-title a{';
			$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_site_title_font_size).';';
		$vw_spa_lite_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_spa_lite_site_tagline_font_size = get_theme_mod('vw_spa_lite_site_tagline_font_size');
	if($vw_spa_lite_site_tagline_font_size != false){
		$vw_spa_lite_custom_css .='#header .logo p.site-description{';
			$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_site_tagline_font_size).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_logo_padding = get_theme_mod('vw_spa_lite_logo_padding');
	if($vw_spa_lite_logo_padding != false){
		$vw_spa_lite_custom_css .='#header .logo{';
			$vw_spa_lite_custom_css .='padding: '.esc_attr($vw_spa_lite_logo_padding).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_logo_margin = get_theme_mod('vw_spa_lite_logo_margin');
	if($vw_spa_lite_logo_margin != false){
		$vw_spa_lite_custom_css .='#header .logo{';
			$vw_spa_lite_custom_css .='margin: '.esc_attr($vw_spa_lite_logo_margin).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_spa_lite_preloader_bg_color = get_theme_mod('vw_spa_lite_preloader_bg_color');
	if($vw_spa_lite_preloader_bg_color != false){
		$vw_spa_lite_custom_css .='#preloader{';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_preloader_bg_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_preloader_border_color = get_theme_mod('vw_spa_lite_preloader_border_color');
	if($vw_spa_lite_preloader_border_color != false){
		$vw_spa_lite_custom_css .='.loader-line{';
			$vw_spa_lite_custom_css .='border-color: '.esc_attr($vw_spa_lite_preloader_border_color).'!important;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_preloader_bg_img = get_theme_mod('vw_spa_lite_preloader_bg_img');
	if($vw_spa_lite_preloader_bg_img != false){
		$vw_spa_lite_custom_css .='#preloader{';
			$vw_spa_lite_custom_css .='background: url('.esc_attr($vw_spa_lite_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$vw_spa_lite_custom_css .='}';
	}

	// Header Background Color
	$vw_spa_lite_header_background_color = get_theme_mod('vw_spa_lite_header_background_color');
	if($vw_spa_lite_header_background_color != false){
		$vw_spa_lite_custom_css .='#header{';
			$vw_spa_lite_custom_css .='background-color: '.esc_attr($vw_spa_lite_header_background_color).';';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_header_img_position = get_theme_mod('vw_spa_lite_header_img_position','center top');
	if($vw_spa_lite_header_img_position != false){
		$vw_spa_lite_custom_css .='#header{';
			$vw_spa_lite_custom_css .='background-position: '.esc_attr($vw_spa_lite_header_img_position).'!important;';
		$vw_spa_lite_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$vw_spa_lite_display_grid_posts_settings = get_theme_mod( 'vw_spa_lite_display_grid_posts_settings','Into Blocks');
    if($vw_spa_lite_display_grid_posts_settings == 'Without Blocks'){
		$vw_spa_lite_custom_css .='.grid-post-main-box .page-box{';
			$vw_spa_lite_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_grid_featured_image_border_radius = get_theme_mod('vw_spa_lite_grid_featured_image_border_radius', 0);
	if($vw_spa_lite_grid_featured_image_border_radius != false){
		$vw_spa_lite_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img{';
			$vw_spa_lite_custom_css .='border-radius: '.esc_attr($vw_spa_lite_grid_featured_image_border_radius).'px;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_grid_featured_image_box_shadow = get_theme_mod('vw_spa_lite_grid_featured_image_box_shadow',0);
	if($vw_spa_lite_grid_featured_image_box_shadow != false){
		$vw_spa_lite_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$vw_spa_lite_custom_css .='box-shadow: '.esc_attr($vw_spa_lite_grid_featured_image_box_shadow).'px '.esc_attr($vw_spa_lite_grid_featured_image_box_shadow).'px '.esc_attr($vw_spa_lite_grid_featured_image_box_shadow).'px #cccccc;';
		$vw_spa_lite_custom_css .='}';
	}

	/*---------------- Footer Settings ------------------*/

	$vw_spa_lite_button_footer_heading_letter_spacing = get_theme_mod('vw_spa_lite_button_footer_heading_letter_spacing',1);
	$vw_spa_lite_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
		$vw_spa_lite_custom_css .='letter-spacing: '.esc_attr($vw_spa_lite_button_footer_heading_letter_spacing).'px;';
	$vw_spa_lite_custom_css .='}';

	$vw_spa_lite_button_footer_font_size = get_theme_mod('vw_spa_lite_button_footer_font_size','30');
	$vw_spa_lite_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
		$vw_spa_lite_custom_css .='font-size: '.esc_attr($vw_spa_lite_button_footer_font_size).'px;';
	$vw_spa_lite_custom_css .='}';

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_button_footer_text_transform','Capitalize');
	if($vw_spa_lite_theme_lay == 'Capitalize'){
		$vw_spa_lite_custom_css .='.footer h3{';
			$vw_spa_lite_custom_css .='text-transform:Capitalize;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_theme_lay == 'Lowercase'){
		$vw_spa_lite_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
			$vw_spa_lite_custom_css .='text-transform:Lowercase;';
		$vw_spa_lite_custom_css .='}';
	}
	if($vw_spa_lite_theme_lay == 'Uppercase'){
		$vw_spa_lite_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
			$vw_spa_lite_custom_css .='text-transform:Uppercase;';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_footer_heading_weight = get_theme_mod('vw_spa_lite_footer_heading_weight','');
	if($vw_spa_lite_footer_heading_weight != false){
		$vw_spa_lite_custom_css .='.footer h3, a.rsswidget.rss-widget-title{';
			$vw_spa_lite_custom_css .='font-weight: '.esc_attr($vw_spa_lite_footer_heading_weight).';';
		$vw_spa_lite_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$vw_spa_lite_theme_lay = get_theme_mod( 'vw_spa_lite_footer_template','vw_spa_lite-footer-one');
    if($vw_spa_lite_theme_lay == 'vw_spa_lite-footer-one'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='';
		$vw_spa_lite_custom_css .='}';

	}else if($vw_spa_lite_theme_lay == 'vw_spa_lite-footer-two'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer p, .footer li a, .footer, .footer h3, .footer a.rsswidget, .footer #wp-calendar a, .copyright a, .footer .custom_details, .footer ins span, .footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footer ul li a, .footer table, .footer th, .footer td, .footer caption, #sidebar caption,.footer nav.wp-calendar-nav a,.footer .search-form .search-field{';
			$vw_spa_lite_custom_css .='color:#000;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer ul li::before{';
			$vw_spa_lite_custom_css .='background:#000;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer table, .footer th, .footer td,.footer .search-form .search-field,.footer .tagcloud a{';
			$vw_spa_lite_custom_css .='border: 1px solid #000;';
		$vw_spa_lite_custom_css .='}';

	}else if($vw_spa_lite_theme_lay == 'vw_spa_lite-footer-three'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background: #232524;';
		$vw_spa_lite_custom_css .='}';
	}
	else if($vw_spa_lite_theme_lay == 'vw_spa_lite-footer-four'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background: #f7f7f7;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer p, .footer li a, .footer, .footer h3, .footer a.rsswidget, .footer #wp-calendar a, .copyright a, .footer .custom_details, .footer ins span, .footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, .footer ul li a, .footer table, .footer th, .footer td, .footer caption, #sidebar caption,.footer nav.wp-calendar-nav a,.footer .search-form .search-field{';
			$vw_spa_lite_custom_css .='color:#000;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer ul li::before{';
			$vw_spa_lite_custom_css .='background:#000;';
		$vw_spa_lite_custom_css .='}';
		$vw_spa_lite_custom_css .='.footer table, .footer th, .footer td,.footer .search-form .search-field,.footer .tagcloud a{';
			$vw_spa_lite_custom_css .='border: 1px solid #000;';
		$vw_spa_lite_custom_css .='}';
	}
	else if($vw_spa_lite_theme_lay == 'vw_spa_lite-footer-five'){
		$vw_spa_lite_custom_css .='.footer{';
			$vw_spa_lite_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_responsive_preloader_hide = get_theme_mod('vw_spa_lite_responsive_preloader_hide',false);
	if($vw_spa_lite_responsive_preloader_hide == true && get_theme_mod('vw_spa_lite_loader_enable',false) == false){
		$vw_spa_lite_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$vw_spa_lite_custom_css .='display:none !important;';
		$vw_spa_lite_custom_css .='} }';
	}

	if($vw_spa_lite_responsive_preloader_hide == false){
		$vw_spa_lite_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$vw_spa_lite_custom_css .='display:none !important;';
		$vw_spa_lite_custom_css .='} }';
	}

	$vw_spa_lite_breadcrumbs_alignment = get_theme_mod( 'vw_spa_lite_breadcrumbs_alignment','Left');
    if($vw_spa_lite_breadcrumbs_alignment == 'Left'){
    	$vw_spa_lite_custom_css .='@media screen and (min-width:768px) {';
		$vw_spa_lite_custom_css .='.breadcrumbs{';
			$vw_spa_lite_custom_css .='text-align:start;';
		$vw_spa_lite_custom_css .='}}';
	}else if($vw_spa_lite_breadcrumbs_alignment == 'Center'){
		$vw_spa_lite_custom_css .='@media screen and (min-width:768px) {';
		$vw_spa_lite_custom_css .='.breadcrumbs{';
			$vw_spa_lite_custom_css .='text-align:center;';
		$vw_spa_lite_custom_css .='}}';
	}else if($vw_spa_lite_breadcrumbs_alignment == 'Right'){
		$vw_spa_lite_custom_css .='@media screen and (min-width:768px) {';
		$vw_spa_lite_custom_css .='.breadcrumbs{';
			$vw_spa_lite_custom_css .='text-align:end;';
		$vw_spa_lite_custom_css .='}}';
	}
    // sticky sidebar
		$vw_spa_lite_resp_stickysidebar = get_theme_mod( 'vw_spa_lite_stickysidebar_hide_show',false);
	if($vw_spa_lite_resp_stickysidebar == true && get_theme_mod( 'vw_spa_lite_sticky_sidebar',false) != true){
		$vw_spa_lite_custom_css .= '@media (min-width: 768px) {';
    	$vw_spa_lite_custom_css .='#sidebar{';
			$vw_spa_lite_custom_css .='position:static;';
		$vw_spa_lite_custom_css .='} ';
		$vw_spa_lite_custom_css .= '}';
	}
    // First Letter Capital
	$vw_spa_lite_show_first_caps = get_theme_mod('vw_spa_lite_show_first_caps', false);
	if ($vw_spa_lite_show_first_caps ) {
	    $vw_spa_lite_custom_css .= '.service-text .entry-content p:nth-of-type(1)::first-letter {';
	    $vw_spa_lite_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $vw_spa_lite_custom_css .='}';
	} else {
		$vw_spa_lite_custom_css .= '.service-text .entry-content p:nth-of-type(1)::first-letter {';
	    $vw_spa_lite_custom_css .= 'display: none;';
	    $vw_spa_lite_custom_css .='}';
	}
	// Web Frame 
	$vw_spa_lite_web_frame = get_theme_mod('vw_spa_lite_web_frame',false);
	if($vw_spa_lite_web_frame == false && get_theme_mod( 'vw_spa_lite_web_frame',false) != true){
		$vw_spa_lite_custom_css .='.web-frame{';
		$vw_spa_lite_custom_css .='border: 1px !important';
		$vw_spa_lite_custom_css .='}';
	}

	$vw_spa_lite_web_frame_border_color = get_theme_mod('vw_spa_lite_web_frame_border_color');
	if($vw_spa_lite_web_frame_border_color != false){
		$vw_spa_lite_custom_css .='.web-frame{';
			$vw_spa_lite_custom_css .='border-color: '.esc_attr($vw_spa_lite_web_frame_border_color).'!important;';
		$vw_spa_lite_custom_css .='}';
	}
    
	$vw_spa_lite_web_frame_border_width = get_theme_mod('vw_spa_lite_web_frame_border_width');
	if($vw_spa_lite_web_frame_border_width != false){
		$vw_spa_lite_custom_css .='.web-frame{';
			$vw_spa_lite_custom_css .='border-width: '.esc_attr($vw_spa_lite_web_frame_border_width).'!important;';
		$vw_spa_lite_custom_css .='}';
	}

	// change the Category style //
	$vw_spa_lite_single_post_styling = get_theme_mod( 'vw_spa_lite_single_post_styling','Button');
		if($vw_spa_lite_single_post_styling == 'Underline'){
		$vw_spa_lite_custom_css .='.single-post-category .post-categories li a{';
			$vw_spa_lite_custom_css .='text-decoration: underline; color: #000; background-color: transparent;';
		$vw_spa_lite_custom_css .='}';
	}
	else if($vw_spa_lite_single_post_styling == 'Default'){
		$vw_spa_lite_custom_css .='.single-post-category .post-categories li a{';
			$vw_spa_lite_custom_css .='text-decoration: none; color: #000; background-color: transparent;';
		$vw_spa_lite_custom_css .='}';
	}
